Bug 890545 - exo does not set mime association for x-scheme-handler/http
Summary: exo does not set mime association for x-scheme-handler/http
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: exo
Version: 18
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-27 17:07 UTC by Maciek Borzecki
Modified: 2014-02-05 22:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 22:56:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Maciek Borzecki 2012-12-27 17:07:41 UTC
Description of problem:
Google Chrome is set as preferred browser in Xfce settings. Links openend through xdg-open or gvfs-open are opened in Firefox. Only links opened through exo-open use Google Chrome. mimeapps.list gets updated by exo-preferred-applications, so it does not look like 809456.

Contents of ~/.local/share//applications/mimeapps.list
[Default Applications]
video/ogg=vlc.desktop
image/svg+xml=fedora-ristretto.desktop
text/html=google-chrome.desktop

[Added Associations]
video/ogg=vlc.desktop;
image/svg+xml=fedora-ristretto.desktop;
x-scheme-handler/http=exo-web-browser.desktop
x-scheme-handler/https=exo-web-browser.desktop
x-scheme-handler/mailto=exo-mail-reader.desktop
x-scheme-handler/file=exo-file-manager.desktop
x-scheme-handler/trash=exo-file-manager.desktop
text/html=google-chrome.desktop;

[maciek@corsair:~]$ XDG_UTILS_DEBUG_LEVEL=9 xdg-mime query default x-scheme-handler/http
Checking /home/maciek/.local/share//applications/mimeapps.list
Checking /usr/local/share/applications/xfce-defaults.list
Checking /usr/local/share/applications/defaults.list
firefox.desktop

[maciek@corsair:~]$ gvfs-mime --query x-scheme-handler/http                             
Default application for 'x-scheme-handler/http': firefox.desktop
Registered applications:
	firefox.desktop
	exo-web-browser.desktop
	google-chrome.desktop
Recommended applications:
	exo-web-browser.desktop
	firefox.desktop
	google-chrome.desktop



Version-Release number of selected component (if applicable):
exo-0.10.1-1.fc18.x86_64
gvfs-1.14.2-2.fc18.x86_64
xdg-utils-1.1.0-0.14.20120809git.fc18.noarch

How reproducible:


Steps to Reproduce:
1. set any browser other than Firefox as preferred in exo-preferred-applications
2. use exo-open on a random link, observe that the link is opened in preferred browser
3. use gvfs-open or xdg-open on the same link, observer that link is opened in default (Firefox) browser
  
Actual results:


Expected results:


Additional info:

Comment 1 Maciek Borzecki 2012-12-27 17:12:58 UTC
The following change to  ~/.local/share/applications/mimeapps.list fixes the problem:

[Default Applications]
....
x-scheme-handler/http=exo-web-browser.desktop
x-scheme-handler/https=exo-web-browser.desktop
x-scheme-handler/mailto=exo-mail-reader.desktop
x-scheme-handler/file=exo-file-manager.desktop
x-scheme-handler/trash=exo-file-manager.desktop

[Added Associations]
video/ogg=vlc.desktop;
image/svg+xml=fedora-ristretto.desktop;
...

Comment 2 Kevin Fenzi 2012-12-28 18:51:00 UTC
I can't fully duplicate this here... exo-open and xdg-open both use my preferred browser, gvfs-open uses firefox. 

I'm not sure there's any guarentee that all of these will end in the same result, although I agree it would be nice if they would. 

Would you be willing to file this upstream with exo?

Comment 3 Fedora End Of Life 2013-12-21 15:16:03 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2014-02-05 22:56:24 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.